Summary: An X Window System utility for monitoring system resources
Name: xosview
Version: 1.8.3
Release: %mkrel 2
Exclusiveos: Linux
Url: http://xosview.sourceforge.net	
Source0: http://dl.sourceforge.net/sourceforge/xosview/xosview-%{version}.tar.gz
Source2: %{name}16.png.bz2
Source3: %{name}32.png.bz2
Source4: %{name}48.png.bz2

License: GPL
Group: Monitoring
Buildroot: %_tmppath/%{name}-root
BuildRequires: libxdmcp-devel
BuildRequires: libxau-devel
BuildRequires: libx11-devel
%ifarch alpha
BuildRequires: egcs
%endif
# XXX alpha barfs on linux/serial.h
ExcludeArch: alpha

%description
The xosview utility displays a set of bar graphs which show the current
system state, including memory usage, CPU usage, system load, etc.
Xosview runs under the X Window System.

Install the xosview package if you need a graphical tool for monitoring
your system's performance.

%prep
%setup -q

# --- XXX Cruft Alert!
rm -f linux/*.o

%build
cd config; make; cd ..
# can't build both 2.0.x/2.1.x memstat modules
%ifnarch alpha
CXXFLAGS="$RPM_OPT_FLAGS -Wno-deprecated -DHAVE_SNPRINTF" %configure --disable-linux-memstat --enable-linux-syscalls ; make
%else
CXX="g++ -V`egcs-version`" 
CXXFLAGS="$RPM_OPT_FLAGS -Wno-deprecated" %configure --disable-linux-memstat --enable-linux-syscalls ; make CXX="g++ -V`egcs-version`"  
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/man/man1,lib/X11/app-defaults}

make PREFIX_TO_USE=$RPM_BUILD_ROOT/usr install

chmod u-s $RPM_BUILD_ROOT/usr/bin/*

install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons/mini
bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_datadir}/icons/mini/%{name}.png
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.png
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons/large
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_datadir}/icons/large/%{name}.png

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
needs="X11"\
section="System/Monitoring"\
title="Xosview"\
longtitle="OS stats viewer"\
command="%{name}"\
icon="%{name}.png"\
xdg="true"
EOF
)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xosview
Comment=System resources monitor for X11
Exec=%{_bindir}/xosview
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_prefix}/bin/*
%{_prefix}/share/man/man1/*
%{_prefix}/lib/X11/app-defaults/*
%{_menudir}/*
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/mini/*
%{_datadir}/icons/large/*
%{_datadir}/applications/mandriva-%{name}.desktop

%post
%update_menus

%postun
%clean_menus


%changelog
* Sun Aug 26 2007 Gustavo De Nardin <gustavodn@mandriva.com> 1.8.3-2mdv2008.0
+ Revision: 71654
- xdg menu
- fixed section in old menu
- finer grained X11 BuildRequires
- new upstream version 1.8.3, installed without X11R6 prefix now, with all old patches handled upstream
- patches xosview-1.8.0-gcc33, xosview-rpath, xosview-ppc also handled upstream
- patch xosview-kernel-2.6.X handled upstream
- patch xosview-PMUmeter-1.7.3 was empty.. (?)
- patches xosview-non-i386, xosview-io_h, xosview-1.7.1-s390, xosview-1.8.0-proc, xosview-kernel-pre9, merged or otherwise handled upstream

  + Thierry Vignaud <tvignaud@mandriva.com>
    - use %%mkrel



* Wed Oct 20 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8.0-8mdk
- Fixed menu dir for X86_64.

* Tue Jun 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.0-7mdk
- rebuild for new g++

* Fri Sep 05 2003 Aurelien Lemaire <alemaire@mandrakesoft.com> 1.8.0-6mdk
- Add Patch 9 to fix bug with kernel-2.6.X
- Add Patch 10 to fix build with gcc-3.3
- Fix Url path

* Sat Aug 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.0-5mdk
- rebuild for new g++3.2 ABI

* Thu Aug 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.0-4mdk
- rebuild for g++-3.2

* Thu Jul 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.8.0-3mdk
- remake patch2
- add patch8 for ppc

* Thu May 30 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.8.0-2mdk
- add patch7 for /proc of kernel 2.4.19-pre9
- png icons
- move menu entry from %%SOURCE1 to specfile

* Tue May 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.0-1mdk
- add Url
- new release
- sanitize
- use right macros
- build with g++-3.1
- remove nonsense ldconfig
- add s390 support [Patch5]
- fix build with g++-3.1 [Patch6]

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 1.7.3-11mdk
- BuildRequires: XFree86-devel
- Removed BuildRequires: xpm-devel

* Thu Jan 25 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.7.3-10mdk
- added patches for ppc - exclude serialmeter - no perm.h
- fixed rpmlint complaint on rpath and menu title

* Sun Jan 14 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.7.3-9mdk
- ExculdeArch: alpha (barfs on serial.h)

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.7.3-8mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7.3-7mdk
- automatically added BuildRequires

* Mon Jul 10 2000 dam's <damien@mandrakesoft.com> 1.7.3-6mdk
- minor specfile correction.

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7.3-5mdk
- chmouelization
- build against new libstdc++

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.7.3-4mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.7.3-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.7.3-2mdk
- Added menu entry.

* Fri Mar 31 2000 dam's <damien@mandrakesoft.com> 1.7.3-1mdk
- upgrade to 1.7.3

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7.2-4mdk

- fixed build on sparc.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.7.2-3mdk
- libtoolize --force.
- use egcs on alpha.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.7.2

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- updated to 1.7.1.

* Wed Mar  3 1999 Matt Wilson <msw@redhat.com>
- updated to 1.7.0

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- build against new libstdc++, build on arm

* Tue Dec 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.6.2.a.

* Tue Jun 16 1998 Jeff Johnson <jbj@redhat.com>
- add sparc/alpha functionality.
- add %%clean

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- how the hell did this get setuid root?

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.1 (so that it compiles with egcs)
- buildroot

* Tue Nov  4 1997 Erik Troan <ewt@redhat.com>
- commented out line causing core dumps when exiting

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
